# $Revision: 1.11 $, $Date: 2003/01/10 19:48:55 $
%define _refman_version 4.0
Summary:	A simple lightweight powerful embeddable programming language
Summary(pl):	Prosty, lekki ale potny, osadzalny jzyk programowania
Name:		lua40
Version:	4.0.1
Release:	5
License:	BSD-like (see docs)
Group:		Development/Languages
Source0:	http://www.lua.org/ftp/lua-%{version}.tar.gz
Source1:	http://www.lua.org/ftp/refman-%{_refman_version}.ps.gz
Patch0:		lua-link.patch
Patch1:		lua-OPT.patch
URL:		http://www.lua.org/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:	lua = %{version}
Obsoletes:	lua

%description
Lua is a powerful, light-weight programming language designed for
extending applications. It is also frequently used as a
general-purpose, stand-alone language. It combines simple procedural
syntax (similar to Pascal) with powerful data description constructs
based on associative arrays and extensible semantics. Lua is
dynamically typed, interpreted from bytecodes, and has automatic
memory management with garbage collection, making it ideal for
configuration, scripting, and rapid prototyping.

This version has compiled in support for dynamic libraries in baselib.

%description -l pl
Lua to jzyk programowania o duych moliwociach ale lekki,
przeznaczony do rozszerzania aplikacji. Jest te czsto uywany jako
samodzielny jzyk oglnego przeznaczenia. czy prost proceduraln
skadni (podobn do Pascala) z potnymi konstrukcjami opisu danych
bazujcymi na tablicach asocjacyjnych i rozszerzalnej skadni. Lua ma
dynamiczny system typw, interpretowany z bytecodu i automatyczne
zarzdzanie pamici z odmiecaczem, co czyni go idealnym do
konfiguracji, skryptw i szybkich prototypw.

Ta wersja ma wkompilowan obsug adowania dynamicznych bibliotek.

%package devel
Summary:	Header files for Lua
Summary(pl):	Pliki nagwkowe dla Lua
Group:		Development/Languages
Requires:	%{name} = %{version}
Provides:	lua-devel = %{version}
Obsoletes:	lua-devel

%description devel
Header files needed to embed Lua in C/C++ programs and docs for the
language.

%description devel -l pl
Pliki nagwkowe potrzebne do wczenia Lua do programw w C/C++ oraz
dokumentacja samego jzyka.

%package static
Summary:	Static Lua libraries Lua
Summary(pl):	Biblioteki statyczne Lua
Group:		Development/Languages
Requires:	%{name}-devel = %{version}
Provides:	lua-static = %{version}
Obsoletes:	lua-static

%description static
Static Lua libraries.

%description static -l pl
Biblioteki statyczne Lua.

%prep
%setup -q -n lua-%{version}
cp -f %{SOURCE1} refman.ps.gz

%patch0 -p1
%patch1 -p1

%build
%{__make} OPT="%{rpmcflags}" \
          EXTRA_DEFS="-fPIC -DPIC -D_GNU_SOURCE" \
	  all so sobin
rm -f test/{lua,luac}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/lua,%{_datadir}/lua}

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT%{_prefix} \
	INSTALL_BIN=$RPM_BUILD_ROOT%{_bindir} \
	INSTALL_INC=$RPM_BUILD_ROOT%{_includedir} \
	INSTALL_LIB=$RPM_BUILD_ROOT%{_libdir} \
	INSTALL_MAN=$RPM_BUILD_ROOT%{_mandir}/man1

rm $RPM_BUILD_ROOT%{_libdir}/lib*.so
ln -s liblua.so.4.0 $RPM_BUILD_ROOT%{_libdir}/liblua.so
ln -s liblualib.so.4.0 $RPM_BUILD_ROOT%{_libdir}/liblualib.so
rm -f doc/*.1

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYRIGHT HISTORY README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc refman.ps.gz doc test
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl
$Log: lua40.spec,v $
Revision 1.11  2003/01/10 19:48:55  kloczek
- cosmetics.

Revision 1.10  2002/12/27 23:22:07  qboosh
- OK, my mistake... fixed, link patch is back

Revision 1.9  2002/12/27 20:58:22  depesz
- patch commented out - now it compiles
- somebody (rrw???) who knows this software should check this out

Revision 1.8  2002/12/18 20:05:40  qboosh
- added link patch (link using gcc not ld, set SONAME)
- release 5

Revision 1.7  2002/11/29 23:58:08  juandon
- added Provides: for lua-*
- Release still 4

Revision 1.6  2002/11/29 23:40:08  juandon
- added Obsoletes: for lua-*
- removed unused dirs
- Release 4

Revision 1.5  2002/11/01 13:15:47  malekith
- I guess the idea was to rename *package* not only spec file
- release 3

Revision 1.4  2002/10/19 15:28:45  wolf
- rel 2
- there is no patch0
- lib*.so.*.* go to main package, symlinks go to devel

Revision 1.3  2002/09/22 22:20:11  rrw
- removed no longer needed buildreq: unzip;
- corrected thinko made by me in previous log entry;

Revision 1.2  2002/08/31 14:41:10  rrw
- removed patches since current lua now has its own implementation of DLL and require();
- Not Finished Yet

Revision 1.1  2002/08/31 14:36:43  rrw
- there is no 'lua' package anymore; from now on lua packages will be named
  lua40, lua50 and so forth, since they are incompatible and some software
  may require one version or another;
